#### D.6.20.10 milnor

Procedure from library `sing.lib` (see sing_lib).

Usage:
  milnor(i); i ideal or poly

Return:
  Milnor number of i, if i is ICIS (isolated complete intersection singularity) in generic form, resp. -1 if not

Note:
  use proc nf_icis to put generators in generic form
  printlevel >=1: display comments

Example:

    LIB "sing.lib";
    int p      = printlevel;
    printlevel = 2;
    ring r     = 32003,(x,y,z),ds;
    ideal j    = x5+y6+z6,x2+2y2+3z2,xyz+yx;
    milnor(j);
    ==> //sequence of discriminant numbers: 100,149,70
    ==> 21
    poly f     = x7+y7+(x-y)^2*x2y2+z2;
    milnor(f);
    ==> 28
    printlevel = p;

User manual for Singular version 4.4.1, 2025, generated by texi2html.